package ftp_client;

// Classe remplaçant plus ou moins StringTokenizer, qui ne possèdait pas de fonction pour recuperer tout le texte restant
public class MStringTokenizer {
	
	/* Variables */	
	String 	 split_string;  // Texte de base
	String[] splt;			// Texte splitte
	int idx;				// Indice de ou on en est
	
	/* Constructor */
	public MStringTokenizer(String base_string, String split_string){
		this.split_string = split_string;
		this.splt = base_string.split(split_string);
		idx = 0;
	}
	
	/* Next token */
	// Retourner le prochain jeton non vide
	public String nextToken() throws Exception{
		for(; idx<splt.length && splt[idx].isEmpty(); idx++);
		return splt[idx++];
	}
	
	/* Get remaining text */
	// Recuperer le texte restant
	public String getRemainingText(){
		if(idx >= splt.length) return "";
		String str = "";
		for(int i=idx; i<splt.length; i++)
			str += split_string + splt[i];
		return str.substring(1);
	}
		
}
